Package com.independentsoft.office.charts

# Enum Class DisplayBlanksAs

java.lang.Object
java.lang.Enum<DisplayBlanksAs>
com.independentsoft.office.charts.DisplayBlanksAs

All Implemented Interfaces:
  `Serializable`, `Comparable<DisplayBlanksAs>`, `Constable`

public enum DisplayBlanksAs extends Enum<DisplayBlanksAs>
The Enum DisplayBlanksAs.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GAP`
  `NONE`
  `SPAN`
  `ZERO`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DisplayBlanksAs`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static DisplayBlanksAs[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GAP

    public static final DisplayBlanksAs GAP

  - ### SPAN

    public static final DisplayBlanksAs SPAN

  - ### ZERO

    public static final DisplayBlanksAs ZERO

  - ### NONE

    public static final DisplayBlanksAs NONE

- ## Method Details

  - ### values

    public static DisplayBlanksAs[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DisplayBlanksAs valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null